File: changelog

package info (click to toggle)
node-es6-promise 4.2.8-7
  • links: PTS, VCS
  • area: main
  • in suites:
  • size: 480 kB
  • sloc: javascript: 1,960; makefile: 9
file content (143 lines) | stat: -rw-r--r-- 4,213 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
node-es6-promise (4.2.8-7) unstable; urgency=medium

  * Team upload
  
  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.4.1, no changes needed.

  [ Nilesh Patra ]
  * Update patch wrt babel7
  * Update resolver and reloveloader options
  * Update build-deps

  [ Pirate Praveen ]
  * Add @babel/proposal-export-default-from plugin in .babelrc
  * Use only /usr/share/nodejs for resolve option in webpack.config
  * Use pkg-js-tools auto install for node-es6-promise
  * Bump Standards-Version to 4.5.0 (no changes needed)
  
  [ Xavier Guimard ]
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Require node-babel-loader ≥ 8.0.1
  * Add temporary test

  [ Pirate Praveen ]
  * Switch back to add-module-exports plugin and use babeljs command

 -- Pirate Praveen <praveen@debian.org>  Fri, 15 May 2020 07:27:05 +0530

node-es6-promise (4.2.8-6) unstable; urgency=medium

  * Team upload
  * Revert to the webpack 'web' target for libjs-es6-promise,
    while keeping 'node' for node-es6-promise

 -- Gordon Ball <gordon@chronitis.net>  Thu, 10 Oct 2019 17:53:01 +0000

node-es6-promise (4.2.8-5) unstable; urgency=medium

  * Use webpack's 'node' target (Closes: #934915).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 19 Aug 2019 20:30:24 +0200

node-es6-promise (4.2.8-4) unstable; urgency=medium

  * Team upload.
  * Reupload to unstable
  * Install in /usr/share/nodejs

 -- Pirate Praveen <praveen@debian.org>  Sun, 04 Aug 2019 18:50:22 +0000

node-es6-promise (4.2.8-3) experimental; urgency=medium

  * Team upload.
  * Build using webpack 4 and uglifyjs.terser.

 -- Pirate Praveen <praveen@debian.org>  Wed, 31 Jul 2019 12:24:08 +0000

node-es6-promise (4.2.8-2) unstable; urgency=medium

  * Bump dh compat to 12 and drop d/compat.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 27 Jul 2019 18:22:08 +0200

node-es6-promise (4.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-ver to 4.4.0.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 08 Jul 2019 09:55:36 +0200

node-es6-promise (4.2.6-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * Add upstream/metadata

  [ Julien Puydt ]
  * New upstream release.
  * Refresh packaging:
    - Mark the package M-A: foreign following hinter.
    - Bump std-ver to 4.3.0.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Apr 2019 08:48:31 +0200

node-es6-promise (4.2.5-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on node-uglify (not uglifyjs),
    to ensure getting legacy uglifyjs 2.x.
    Closes: Bug#922831. Thanks to Sjoerd Simons.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Feb 2019 11:27:31 +0100

node-es6-promise (4.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Mark libjs-es6-promise as Multi-Arch: foreign following hinter.
  * Refresh packaging:
    - Point Vcs-* fields to salsa.
    - Use my debian.org mail address.
    - Bump dh compat to 11.
    - Bump std-ver to 4.2.1.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 12 Sep 2018 08:02:57 +0200

node-es6-promise (4.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Update packaging:
    - bump d/watch to version 4.
    - use https and update dates in d/copyright.
    - bump dh compat to 10.
    - document the patch.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 21 Feb 2018 19:00:19 +0100

node-es6-promise (4.1.1+ds-2) experimental; urgency=medium

  * Team upload
  * Upload to experimental as it needs nodejs >= 8.9 (See #878674)

 -- Pirate Praveen <praveen@debian.org>  Sat, 30 Dec 2017 12:14:03 +0530

node-es6-promise (4.1.1+ds-1) unstable; urgency=medium

  * Team upload
  * Fix webpack and babel configurations (Thanks to Paolo Greppi)

  [ Pirate Praveen ]
  * New upstream release (Closes: #883553)
  * Switch to babel for transpiling

 -- Sruthi Chandran <srud@disroot.org>  Sat, 30 Dec 2017 00:53:00 +0530

node-es6-promise (3.2.2+ds-1) unstable; urgency=low

  * Initial release (Closes: #802447)

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 31 Jul 2016 07:57:23 +0200